## hkl-macros-private

hkl-macros-private

## Functions

#define | hkl_assert()
#define | hkl_error()
#define | G_GNUC_PRINTF()
#define | alloc_nr()
#define | ALLOC_GROW()
#define | DARRAY()
#define | IGNORE()
void | hkl_printbt ()

## Types and Values

#define | HKL_EULERIAN_KAPPA_SOLUTION
#define | NORETURN

## Description

## Functions

### hkl_assert()

    # define hkl_assert(x) do{ if (!(x)) {hkl_printbt(); assert(x); } } while(0)

### hkl_error()

    #define             hkl_error(expr)

### G_GNUC_PRINTF()

    #define             G_GNUC_PRINTF( format_idx, arg_idx )

### alloc_nr()

    #define alloc_nr(x) (((x)+16)*3/2)

### ALLOC_GROW()

    #define             ALLOC_GROW(x, nr, alloc)

### DARRAY()

    #define DARRAY(_items) {.item=_items, .size=ARRAY_SIZE(_items), .alloc=ARRAY_SIZE(_items)}

### IGNORE()

    #define IGNORE(x) {__typeof__(x) __attribute__((unused)) d=(x);}

### hkl_printbt ()

    void
    hkl_printbt (void);

## Types and Values

### HKL_EULERIAN_KAPPA_SOLUTION

    #define HKL_EULERIAN_KAPPA_SOLUTION 1

### NORETURN

    #define             NORETURN